xgboost

Public Types | Public Member Functions | Static Public Member Functions | List of all members
xgboost::JsonNumber Class Reference

`#include <json.h>`

Inheritance diagram for xgboost::JsonNumber:
Collaboration diagram for xgboost::JsonNumber:

## Public Types
using | Float = float
Public Types inherited from xgboost::Value
enum | ValueKind { ValueKind::kString, ValueKind::kNumber, ValueKind::kInteger, ValueKind::kObject, ValueKind::kArray, ValueKind::kBoolean, ValueKind::kNull, ValueKind::kNumberArray, ValueKind::kU8Array, ValueKind::kI32Array, ValueKind::kI64Array }
| Simplified implementation of LLVM RTTI. More...

## Public Member Functions
| JsonNumber ()
template<typename FloatT , typename std::enable_if< std::is_same< FloatT, Float >::value >::type * = nullptr>
| JsonNumber (FloatT value)
template<typename FloatT , typename std::enable_if< std::is_same< FloatT, double >::value >::type * = nullptr>
| JsonNumber (FloatT value)
| JsonNumber (JsonNumber const &that)=delete
| JsonNumber (JsonNumber &&that) noexcept
void | Save (JsonWriter *writer) const override
Float const & | GetNumber () &&
Float const & | GetNumber () const &
Float & | GetNumber () &
bool | operator== (Value const &rhs) const override
Public Member Functions inherited from xgboost::Value
| Value (ValueKind _kind)
ValueKind | Type () const
virtual | ~Value ()=default
virtual Json & | operator[] (std::string const &key)
virtual Json & | operator[] (int ind)
virtual Value & | operator= (Value const &rhs)=delete
std::string | TypeStr () const

## Static Public Member Functions
static bool | IsClassOf (Value const *value)

## Member Typedef Documentation

## ◆ Float

using xgboost::JsonNumber::Float = float

## Constructor & Destructor Documentation

## ◆ JsonNumber() [1/5]

xgboost::JsonNumber::JsonNumber | ( |  | ) |
| inline

## ◆ JsonNumber() [2/5]

template<typename FloatT , typename std::enable_if< std::is_same< FloatT, Float >::value >::type * = nullptr>

xgboost::JsonNumber::JsonNumber | ( | FloatT | value | ) |
| inline

## ◆ JsonNumber() [3/5]

template<typename FloatT , typename std::enable_if< std::is_same< FloatT, double >::value >::type * = nullptr>

xgboost::JsonNumber::JsonNumber | ( | FloatT | value | ) |
| inline

## ◆ JsonNumber() [4/5]

xgboost::JsonNumber::JsonNumber | ( | JsonNumber const & | that | ) |
| delete

## ◆ JsonNumber() [5/5]

xgboost::JsonNumber::JsonNumber | ( | JsonNumber && | that | ) |
| inline noexcept

## Member Function Documentation

## ◆ GetNumber() [1/3]

Float& xgboost::JsonNumber::GetNumber | ( |  | ) | &
| inline

## ◆ GetNumber() [2/3]

Float const& xgboost::JsonNumber::GetNumber | ( |  | ) | &&
| inline

## ◆ GetNumber() [3/3]

Float const& xgboost::JsonNumber::GetNumber | ( |  | ) | const &
| inline

## ◆ IsClassOf()

static bool xgboost::JsonNumber::IsClassOf | ( | Value const * | value | ) |
| inline static

## ◆ operator==()

bool xgboost::JsonNumber::operator== | ( | Value const & | rhs | ) | const
| override virtual

Implements xgboost::Value.

## ◆ Save()

void xgboost::JsonNumber::Save | ( | JsonWriter * | writer | ) | const
| override virtual

Implements xgboost::Value.

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json.h